<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Hait windows 后台管理</title>
<link rel="stylesheet" type="text/css" href="images/hait_admin.css" />
</head>
<?php require ("Hait_login_ask.php");?>
<?php
if($hsz_gl==null or $hsz_gl<>1 )
{  echo "<script>alert('Hait windows 提醒你，非法操作！！你没有该权限！');location.href='Hait_right.php'</script>";
   exit;
}
error_reporting(0);
require '../config.php';
$classname= $_GET["classname"]; //添加的
$word=$_GET["word"]; //添加的
$page = $_GET["page"]; ///添加的
if($classname<>"" and $word==""){$soso=" and channel ='$classname'";}//添加的
if($classname=="" and $word<>""){$soso=" and content like('%$word%') or huishou=1 and title like('%$word%') or huishou=1 and  posttime                                 like('%$word%') or huishou=1 and editor like('%$word%')";}//添加的
if($classname<>"" and $word<>""){$soso=" and channel='$classname' and content like('%$word%')";}//添加的
require_once'Hait_function.php';//添加的
$rows = mysql_num_rows(mysql_query("select * from hait_article where huishou=1 $soso",$conn)); //添加的
Page($rows,20,$classname,$word); //添加的
$sql = "select * from hait_article where huishou=1 $soso order by id desc limit $select_from $select_limit"; //添加的
$listexec = mysql_query($sql,$conn);//添加的
?>
<script language="javascript" src="hait_li.js"></script>
<script language="JavaScript">             
function delete_confirm(e) 
{
    if (event.srcElement.outerText == "删除") 
    {
        event.returnValue = confirm("Hait windows 提醒你，删除后不可恢复，你确认要删除吗？");
    }
}
document.onclick = delete_confirm;
</script>
<body>
</head>
<div id="main">
<table width="100%" border="0">
  <tr>
    <td><form method="post" action="hait_hsz.php">
<table  border="0">
  <tr>
    <td colspan="4" align="left" class="STYLE3">注意：搜索框内可输入标题 ，编辑，以及信息内容。</td>
    </tr>
  <tr>
    <td align="left" class="STYLE6">快速查找：</td>
    <td><select name="classname" size="1">
      <?php if($classname<>""){
	  echo '<option value='.$classname.'>';
	  echo Haitclassname($classname);
	  echo '</option>';} 
	  ?>
      <option value="">搜索所有分类</option>
      <?php haitlist()?>
    </select></td>
    <td><input name="word" type="text" size="50" value="<?php if($word<>""){echo $word;}?>" /></td>
    <td align="left" ><input name="submit" type="button" class="submit"  onclick="window.location.href='hait_hsz.php?classname='+this.form.classname.value+'&word='+this.form.word.value;" value="&nbsp;搜&nbsp;索&nbsp;" /> </td>
  </tr>
</table>

    </form></td>
  </tr>
  <tr><form method="post" action="hait_article_app.php"><input name="appname" type="text" style="display:none" value="article"/>
    <td><table  border="0">
      <tr>
        <td class="STYLE6">操作:</td>
        <td><input name="submit2" type="submit" class="menu"  disabled="disabled" id="articledel" onmousemove="this.form.appname.value='del';"  onClick="delcfm()" value="彻底删除 " />		</td>
		<td><input name="submit2" type="submit" class="menu"   id="articledel" onmousemove="this.form.appname.value='hy';" value="还原" /></td>
		<td>&nbsp;</td>
      </tr>
    </table>
      <table width="100%"  cellpadding="4" cellspacing="1"  bgcolor="#C0C0C0"  class="STYLE7">

<tr bgcolor="#FFFFFF" align="center"class="STYLE6" >
  <th background="images/bg2.gif"><input type="checkbox" onclick="checkAll(this,'checkbox[]')" /></th>
  <th background="images/bg2.gif">ID</th>
<th background="images/bg2.gif">缩略图</th>
<th background="images/bg2.gif">标题</th>
<th background="images/bg2.gif">所属分类</th>
<th background="images/bg2.gif">属性</th>
<th background="images/bg2.gif">添加时间</th>
<th background="images/bg2.gif">编辑</th>
<th background="images/bg2.gif">管理</th>
</tr>
<?php  
while($list=mysql_fetch_array($listexec))
{
echo '<tr bgcolor="#F7FFFF" align="center" class="movelist">';
echo '<td width="3%" >';?>
<input name="checkbox[]" type="checkbox" value=<?PHP echo $list['id'];?> onClick="checkDeleteStatus('checkbox[]')"/>
<?PHP echo '</td>';
echo '<td width="5%" >';
echo $list['id'];
echo '</td>';
echo '<td width="5%" align="cnter">';?>
<img src="../<?PHP echo $list['pic'];?>" width="25" height="25" onMouseOver="document.getElementById('<?PHP echo $list['id'];?>pic').style.display='';" onMouseOut="document.getElementById('<?PHP echo $list['id'];?>pic').style.display='none'" onerror="this.src='../hait_images/emptybook.gif'"/>
 <div id="<?PHP echo $list['id'];?>pic" style="display:none; position:absolute;border:3px solid #999; "><img name="bigbj" id="bigbj"  src="../<?PHP echo $list['pic'];?>" width="100" height="100" onerror="this.src='../hait_images/emptybook.gif'" ></div>
<?php
echo '</td>';
echo '<td width="20%" align="left">';
echo $list['title'];
echo '</td>';
echo '<td width="10%" align="left">';
echo Haitclassname($list['channel']);              			       
echo '</td>';
echo '<td width="30%" align="left">';
if ($list['shenhe']==1){echo"<span class='STYLE4'>已审核</span>";}if ($list['zhiding']==1){echo"<span class='STYLE4'>+置顶</span>";}if ($list['lashen']==1){echo"<span class='STYLE4'>+最大化</span>";}if ($list['tuijian']==1){echo"<span class='STYLE4'>+推荐</span>";}if ($list['value']==1){echo"<span class='STYLE2'>+桌面快捷</span>";};
echo '</td>';
echo '<td width="10%">';
echo $list['posttime'];
echo '</td>';
echo '<td width="8%">';
echo $list['editor'];
echo '</td>';
echo '<td width="8%" >';
echo '<a href=hait_article_xg.php?'.$list[id].'>';
echo '修改</a> ';
echo '</td>';
echo '</tr>';
}
?>
</table>
      <table  width="100%" border="0">
        <tr>
          <td align="left"><table border="0">
              <tr>
                <td class="STYLE6">移到</td>
                <td class="STYLE6"><select name="newclass">
                    <?php Haitlist() ?>
                </select></td>
                <td><input name="submit22" type="submit" class="menu"  onclick="zycfm()"  id="submit2" onmousemove="this.form.appname.value='zy';" value="开始转移" /></td>
                <td></td>
              </tr>
          </table></td>
          <td align="right"><span class="STYLE6">页码:</span><?php echo $pagenav; ?></td>
        </tr>
      </table></td></form>
  </tr>
</table>
</div>
</body>
</html>